Subject: Re: Git-aware Issue Tracking?

From: Jakub Narebski <[email-masked]>
Date: Wed, 20 Aug 2008 11:52:24 -0700 (PDT)

Petr Baudis <[email-masked]> writes:

> On Wed, Aug 20, 2008 at 07:13:26AM -0700, Shawn O. Pearce wrote:
> > I've thought about starting a code.google.com project just to use
> > the issue tracking system there.  I'm using an internal tool to
> > keep of issues for myself, but that's not fair to the end-users or
> > other contributors...
> 
> I have been thinking about issue tracking for some of my projects too,
> but I'm wondering, does anyone have a comprehensive picture of the state
> of the Git-supporting issue tracking tools, especially those that keep
> the tracked issues in a Git repository as well?
> 
> 	http://git.or.cz/gitwiki/InterfacesFrontendsAndTools#head-73b23f376ebd0222d1e4b08f09158172aa34c24f
> 
> has three, but two of them are in Ruby, which is rather discouraging.
> But Cil (in Perl) is already "self-hosting", so it might be well usable?

There is also Bugs Everywhere, written in Python, which supposedly has
(some form of) Git support:
  http://git.or.cz/gitwiki/InterfacesFrontendsAndToolsWishlist#be

There was also 'grit' by Pierre Habouzit, also in Python, which got
abandoned and removed (also from wiki):
http://git.or.cz/gitwiki/InterfacesFrontendsAndTools?action=diff&rev2=203&rev1=202
If I remember correcly Pierre promised to write down what he learned
about distributed bug tracking from his work on grit[*1*], when he had
a bit of free time, but I don't remember him doing it...

See also "[RFC] git integrated bugtracking" thread on git mailing list
(http://thread.gmane.org/gmane.comp.version-control.git/48981) where
grit started, and later "[RFC] Idea for Git Bugtracking Tool"
(http://thread.gmane.org/gmane.comp.version-control.git/76411), where
you can find different distributed bug trackers, not all of them
thought supporting Git.

HTH.

Footnotes:
==========
[*1*] http://thread.gmane.org/gmane.comp.version-control.git/76411/focus=76565
-- 
Jakub Narebski
Poland
ShadeHawk on #git